//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon S. Lee (jl)
//  FILE: PCTopDownStmt.H
//  PROJ: COKO Compiler
//  DATE: 6/14/97
//
// SYNOPSIS
//  Class definitions for CTopDownStmt.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCTOPDOWNSTMT_H_
#define _PCTOPDOWNSTMT_H_

#include "PCStmt.H"
#include "PCChildPattern.H"

//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CTopDownStmt
//
// SYNOPSIS
//  This class is a derived class from CStmt. 
//
//////////////////////////////////////////////////////////////////////////////

class CTopDownStmt : public CStmt {
protected:

  CStmt *_stmt;                            
    
public:
  CTopDownStmt(CStmt *);                   
  // Constructor.
  
  ~CTopDownStmt(void);
  // Destructor.

  CState *Exec(CState *);
  // What to do when executed.

};

#endif
