//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon S. Lee (jl@cs.brown.edu)
//  FILE: PCTrueStmt.H
//  PROJ: COKO
//  DATE: 6/10/97                                                              
//
// SYNOPSIS
//  Class definition for CTrueStmt class.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCTRUESTMT_H_
#define _PCTRUESTMT_H_

#include <PCStmt.H>

//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CTrueStmt
//
// SYNOPSIS
//  This class is a derived class from CStmt. 
//
//////////////////////////////////////////////////////////////////////////////

class CTrueStmt : public CStmt
{
protected:
  CStmt *_stmt;                  
  // statement(s)

public:
  CTrueStmt(CStmt *); 
  // Constructor
  ~CTrueStmt(void);         
  // Destructor
  CState *Exec(CState *); 
  // What to do when executed
};

#endif
