//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon Suk  Lee (jl)                                             
//  FILE: PCOQPrintStmt.H
//  PROJ: COKO
//  DATE: 9/96                                                   
//
// SYNOPSIS
// 
//  This class is a derived class from CStmt. It is used for coko language 
//  debugging purposes.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCOQPRINTSTMT_H_
#define _PCOQPRINTSTMT_H_

#include <assert.h>
#include "PCStmt.H"
#include "PCRule.H"
#include "PCRuleBlock.H"
#include "KOObject.H"
#include "KOBool.H"
#include "PCState.H"
#include "KOOVar.H"




class COQPrintStmt : public CStmt {
protected:
  char * _iname;         
  // The identifier name 
  
  int _which_print; 
  // what type of print command is it?

public:
  COQPrintStmt(int, char *);
  // Constructor

  ~COQPrintStmt();
  // Destructor

  CState *Exec(CState *);
  // What to do when executed

};

#endif
